package es.abrozas.tfcj2ee.model;

import java.io.Serializable;
import java.util.List;

public class GrupoEntrenamiento implements Serializable {

	private static final long serialVersionUID = -8160419538462610065L;
	private long id;
	private String nombre;
	private String descripcion;
	private List<Usuario> atletas;
	private List<Entrenamiento> planificaciones;
	private Usuario entrenador;
	
	public GrupoEntrenamiento() {
		
	}

	/**
	 * @return el id
	 */
	public long getId() {
		return id;
	}

	/**
	 * @param id el id a establecer
	 */
	public void setId(long id) {
		this.id = id;
	}

	/**
	 * @return el nombre
	 */
	public String getNombre() {
		return nombre;
	}

	/**
	 * @param nombre el nombre a establecer
	 */
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	/**
	 * @return el descripcion
	 */
	public String getDescripcion() {
		return descripcion;
	}

	/**
	 * @param descripcion el descripcion a establecer
	 */
	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	/**
	 * @return el atletas
	 */
	public List<Usuario> getAtletas() {
		return atletas;
	}

	/**
	 * @param atletas el atletas a establecer
	 */
	public void setAtletas(List<Usuario> atletas) {
		this.atletas = atletas;
	}

	/**
	 * @return el planificaciones
	 */
	public List<Entrenamiento> getPlanificaciones() {
		return planificaciones;
	}

	/**
	 * @param planificaciones el planificaciones a establecer
	 */
	public void setPlanificaciones(List<Entrenamiento> planificaciones) {
		this.planificaciones = planificaciones;
	}

	/**
	 * @return el entrenador
	 */
	public Usuario getEntrenador() {
		return entrenador;
	}

	/**
	 * @param entrenador el entrenador a establecer
	 */
	public void setEntrenador(Usuario entrenador) {
		this.entrenador = entrenador;
	}

	/**
	 * 
	 * @return El tamaño de la lista de atletas del grupo de entrenamiento
	 */
	public int getSize() {
		if (this.atletas == null) return 0;
		int i = 0;
		for (Object obj: this.atletas) {
			Usuario atl = (Usuario) obj;
			if (atl != null && atl.getId()!= this.entrenador.getId()) i++;
		}
		return i;
	}
	
}
