<%@page import="java.sql.Struct"%>
<%@ page language="java" contentType="text/html; charset=utf-8"  pageEncoding="utf-8"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<s:include value="/includes/head.jsp"></s:include>
<body>
<div class="wrapper" id="home"> 
	<!-- TOP  --> 
	<div class="top">

	<div class="top-bar">
		<div class="container_16">
			<ul>				
				<li><a href="perfil-usuario">Editar cuenta de <s:property value="#attr.usuario.username" /></a></li>
				<li><a href="logout">Desconectar</a></li>
			</ul>
		</div>
	</div>
	<div class="container_16">
		<div class="logo"><a href="home" title="Inicio"><span>el Mister</span></a></div>
		<div class="menu">
			<ul>
				<li><a  href="home">Home</a></li>
				<s:if test="#session.usuario.rol == 2">
				<li><a class="active" href="entrenamientos">Entrenamientos</a></li>
				</s:if>
				<li><a href="grupos">Grupos de entrenamiento</a></li>
				<li><a href="estadisticas">Estadísticas</a></li>
			</ul>
		</div>
	</div>
</div>

<div class="top-tranparent-bar"></div>	<!-- #TOP  --> 
	<!-- MAIN SLIDE  --> 
	<div class="slide"> 
		<div class="container_16">
	<div class="content">
		<h2>Añadir nuevo entrenamiento</h2>
		<a href="entrenamientos" style="float: right; margin-top: -35px;">Volver</a>
		<div class="form-entrenos">
		<form action="entrenamientosAdd" id="addEntreno" method="post" onsubmit="return check();">
	  			<p>
	  			<s:set var="descripcion" value="entrenamiento.descripcion" />
	  			<s:set var="fecha" value="entrenamiento.fecha" />
	  			<s:textfield name="fecha" id="fechaEntrenamiento" label="fechaEntrenamiento" /> 			
	           <br />
	           <s:textfield name="descripcion" id="descripcionEntrenamiento" label="Descripción entrenamiento" />
	           </p>  
				<s:submit       value="Salvar entrenamiento"                align="right" />    
	            <h3>Añadir actividades al entrenamiento:</h3>
	            <div class="grid_8">
	            <s:select label="Tipo de actividad"
			        name="tipo"
			        headerKey="" headerValue="-- Seleccione tipo de entrenamiento --"
			        list="#{1:'Rodar', 2:'Cambios de ritmo', 3:'Competición', 4:'Cuestas', 5:'Series', 6:'Calentamiento', 7:'Enfriamiento'}"
			        value="selected.tipo"
			        required="true" style="margin-bottom: 2px;"
			 	/>     
	            

				<s:textfield label="Repeticiones actividad" id="repeticiones" name="repeticiones" /><br />
				<s:textfield label="Distancia actividad (metros)" id="distancia" name="distancia"  required="true"/><br />
				<s:textfield label="Tiempo (hh:mm:ss.ms)" name="tiempo" id="tiempo" required="true" value="00:00:00.00"/><br />
				
				<div class="boton-add" style="margin-top: 10px; width: 200px; display: block; float: left; background-color: #08A6E8; border: solid 1px #01A6E8; padding 20px; text-align: center;">
				<a href="#"  id="add" style="color: white; width: 100%; display: block;">Añadir actividad</a>
				</div>
				
				
				</div>
				<div class="grid_8">
					<h4>Actividades:</h4>
					<div id="actividades" style="display: none;">
					<table style="width: 100%;">
						<thead>
							<tr>
								<td>Tipo</td>
								<td>Repeticiones</td>
								<td>Distancia (m)</td>
								<td>Tiempo</td>	
								<td>Opcines</td>						
							</tr>
						</thead>
						<tbody>
						<% int i = 0; %>
						<s:iterator value="entrenamiento.actividades" status="stat">			   			
							<tr id="<%= ("act"+String.valueOf(i)) %>">
							<td><s:property value="descripcion" /></td>
							<td><s:property value="repeticiones" /></td>
							<td><s:property value="distancia" /></td>
							<td><s:property value="formatearTiempo" /></td>
							<td><a href="#" class="remove">Eliminar</a></td>						
							</tr>	
						<% i++; %>		
						</s:iterator>
						</tbody>
					</table>
					</div>
				</div>
				<div class="clearfix"></div>
				<% i = 0; %>
					<s:iterator value="entrenamiento.actividades" status="stat">
					<input type="hidden" id="<%= "actDescripcion"+ String.valueOf(i) %>" name="actDescripcion" value="<s:property value="descripcion" />" />
					<input type="hidden" id="<%= "actTipo"+ String.valueOf(i) %>" name="actTipo" value="<s:property value="tipo" />" />
					<input type="hidden" id="<%= "actTiempo"+ String.valueOf(i) %>" name="actTiempo" value="<s:property value="formatearTiempo" />" />
					<input type="hidden" id="<%= "actDistancia"+ String.valueOf(i) %>" name="actDistancia" value="<s:property value="distancia" />" />
					<input type="hidden" id="<%= "actRepeticiones"+ String.valueOf(i) %>" name="actRepeticiones" value="<s:property value="repeticiones" />" />
					
					<% i++; %>	
				</s:iterator>
		</form>
			
		</div>
		<div class="sombra"></div> 	
	</div> 
		<div class="clear"></div> 
	</div> 
	<!-- #MAIN SLIDE  --> 
</div>
</div>

<!-- FOOTER  --> 

<div class="footer">
	<div class="bottom-tranparent-bar"></div>
</div>
<s:include value="/includes/jscript.jsp"></s:include>
<script type="text/javascript">
	var count = <%= String.valueOf(i) %>;
	function check() {
		if($('#fechaEntrenamiento').val()=='') {
			jAlert('Ha de introducir la fecha del entrenamiento.'); 
			$('#fechaEntrenamiento').addClass('error');
			return false;
		} else $('#fechaEntrenamiento').removeClass('error');

		if (count == 0) {
			alert('Ha de añadir alguna actividad');
			return false;
		}
	}

	$(document).ready(function() {
		$('#actividades').show();
		$(function() {
			$( "#fechaEntrenamiento" ).datepicker(
					{
						maxDate: "0D", 
						dateFormat: "dd/mm/yy",
						changeMonth: true,
						changeYear: true });
		});
	
		function remove() {
			var id = $(this).parents('tr').attr('id');
			$('tr#'+id).remove();
			id = id.replace('act','');
			$('#actTipo'+id).remove();
			$('#actRepeticiones'+id).remove();
			$('#actTiempo'+id).remove();
			$('#actDescripcion'+id).remove();
			count--;
		}
		$('a.remove').bind('click',remove);
		$('#add').bind('click', function() {
			$.alerts.dialogClass = 'error';
			var patt = /^[0-9]{1,2}\:[0-9]{1,2}\:[0-9]{1,2}\.[0-9]{1,2}$/i;

			if ($('#tipo').val()=='') {
				jAlert('Ha de introducir el tipo de actividad'); 
				$('#tipo').addClass('error');
				return false;
			} else $('#tipo').removeClass('error');

			if ($('#distancia').val()=='')	{
				jAlert('Ha de introducir distancia.'); 
				$('#distancia').addClass('error');
				return false;
			} else $('#distancia').removeClass('error');
			
	        if(!patt.test($('#tiempo').val())) {
				jAlert('El valor de tiempo no es correcto. El formato ha de ser 00:00:00.00,<br /> siendo respecivamente: horas:minutos:segundos.milésimas', "ERROR");
	            $('#tiempo').addClass('error');
				return false;
	        } else {
	        	$('#tiempo').removeClass('error');                
	        }

			if ($('#repeticiones').val()=='') $('#repeticiones').val('1');
			$('#actividades').show();
			$('div#actividades table tbody').append('<tr id="act' + count + '"><td>'+$('#tipo option:selected').html()+'</td><td>'+$('#repeticiones').val()+'</td><td>'+$('#distancia').val()+'</td><td>'+$('#tiempo').val()+'</td><td><a href="#" class="remove">Eliminar</a></tr>');
			$('form#addEntreno').append('<input name="actDescripcion" type="hidden" id="actDescripcion' + count + '" value="'+$('#tipo option:selected').html()+'"/>');
			$('form#addEntreno').append('<input name="actTipo" type="hidden" id="actTipo' + count + '" value="'+$('#tipo').val()+'"/>');
			$('form#addEntreno').append('<input name="actTiempo" type="hidden" id="actTiempo' + count + '" value="'+$('#tiempo').val()+'"/>');
			$('form#addEntreno').append('<input name="actDistancia" type="hidden" id="actDistancia' + count + '" value="'+$('#distancia').val()+'"/>');
			$('form#addEntreno').append('<input name="actRepeticiones" type="hidden" id="actRepeticiones' + count + '" value="'+$('#repeticiones').val()+'"/>');
			$('a.remove').bind('click',remove);
			count++;
			

			return false;	 
		});

	});

</script>	
</body>
</html>