<%@ page language="java" contentType="text/html; charset=ISO-8859-1"  pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<s:include value="/includes/head.jsp"></s:include>
	<s:action name="EntrenamientosAction!loadHome" executeResult="false" />
    
<body>
<div class="wrapper" id="home"> 
	<!-- TOP  --> 
	<div class="top">

	<div class="top-bar">
		<div class="container_16">
			<ul>				
				<li><a href="perfil-usuario">Editar cuenta de <s:property value="#attr.usuario.username" /></a></li>
				<li><a href="logout">Desconectar</a></li>
			</ul>
		</div>
	</div>
	<div class="container_16">
		<div class="logo"><a href="home" title="Inicio"><span>el Mister</span></a></div>
		<div class="menu">
			<ul>
				<li><a  href="home">Home</a></li>
				<s:if test="#session.usuario.rol == 2">
				<li><a href="entrenamientos">Entrenamientos</a></li>
				</s:if>
				<li><a  class="active"  href="grupos">Grupos de entrenamiento</a></li>
				<li><a href="estadisticas">Estadsticas</a></li>
			</ul>
		</div>
	</div>
</div>

<div class="top-tranparent-bar"></div>	<!-- #TOP  --> 
	<!-- MAIN SLIDE  --> 
	<div class="slide"> 
		<div class="container_16">
	<div class="content">
		<h2>Aadir nuevo entrenamiento</h2>
		<a href="grupos" style="float: right; margin-top: -35px;">Volver</a>
		<div class="form-entrenos">
		<form action="grupoEntrenamientoAdd" id="addGrupo" method="post" onsubmit="return false;">
	  			<p>
	  			<s:textfield label="Nombre del grupo" name="grupoEntrenamiento.nombre" id="nombre"/><br />	  			
	  			<s:textarea label="Descripcin del grupo" name="grupoEntrenamiento.descripcion" id="descripcion"/>
	           </p>  
				<s:submit       value="Crear grupo de entrenamiento"                align="right" />    
	            
		</form>
			
		</div>
		<div class="sombra"></div> 	
	</div> 
		<div class="clear"></div> 
	</div> 
	<!-- #MAIN SLIDE  --> 
</div>
</div>

<!-- FOOTER  --> 

<div class="footer">
	<div class="bottom-tranparent-bar"></div>
</div>
<s:include value="/includes/jscript.jsp"></s:include>
<script type="text/javascript">
	$(document).ready(function() {
		$('form#addGrupo').bind('submit', function() {
			$.alerts.dialogClass = 'error';
			if (($("input#nombre").val()=="")) {
				jAlert('El nombre de grupo es obligatorio', "ERROR");
				return false;
			} else if ($("#descripcion").val()=="") {
				jAlert('La descripcin es obligatoria', "ERROR");
				return false;
			} else {
				$.ajax({
					url: 'grupoEntrenamientoAdd',
					type: 'GET',
					dataType: 'json',
					data: ({
						'grupoEntrenamiento.nombre': 		$('#nombre').val(),
						'grupoEntrenamiento.descripcion':	$('#descripcion').val()
						}),
					error: function(data) {
						if (data.estado=="error") {
							jAlert('Error en el ajax', "ERROR");	
						} else {
							jAlert(data,"ERROR");
						}
						return false;
					},
					success: function(data) {
						if (data.estado=="error") {
							jAlert(data.mensaje, "ERROR");	
						} else if (data.estado=="success") {
							$.alerts.dialogClass = null;
							jAlert('Se ha creado correctamente el grupo de entrenamiento', "Enhorabuena", function() {
								window.location.href = 'grupos';
								});	
						} else {
							jAlert(data,"ERROR");
						}
						return false;
						
						}	
					});
				return false;
				
			}
			return false;		
		});
	});

</script>	
</body>
</html>