<%@ page language="java" contentType="text/html; charset=ISO-8859-1"  pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<s:include value="/includes/head.jsp"></s:include>
<body>
<div class="wrapper" id="home"> 
	<!-- TOP  --> 
	<div class="top">

	<div class="top-bar">
		<div class="container_16">
			<ul>				
				<li><a href="perfil-usuario">Editar cuenta de <s:property value="#attr.usuario.username" /></a></li>
				<li><a href="logout">Desconectar</a></li>
			</ul>
		</div>
	</div>
	<div class="container_16">
		<div class="logo"><a href="home" title="Inicio"><span>el Mister</span></a></div>
		<div class="menu">
			<ul>
				<li><a href="home">Home</a></li>
				<s:if test="#session.usuario.rol == 2">
				<li><a href="entrenamientos">Entrenamientos</a></li>
				</s:if>
				<li><a href="grupos">Grupos de entrenamiento</a></li>
				<li><a href="estadisticas"  class="active">Estadsticas</a></li>
			</ul>
		</div>
	</div>
</div>

<div class="top-tranparent-bar"></div>	<!-- #TOP  --> 
	<!-- MAIN SLIDE  --> 
	<div class="slide"> 
		<div class="container_16">
		<s:if test="result == null">
		<h1>No hay datos suficientes en el sistema para poder generar las estadsticas.</h1>
		</s:if>
		<s:else>
		<s:if test="#session.usuario.rol == 1">
			<h1>Estadsticas de sus planificaciones</h1>
		</s:if>
		<s:else>
			<h1>Estadsticas de sus entrenamientos</h1>
		</s:else>
		<div id='chart_div' style='width: 940px; height: 450px;' class="grid_16"></div>	
		</s:else>
		</div> 
		<div class="clear"></div> 
	</div> 
	<!-- #MAIN SLIDE  --> 
</div>

<!-- FOOTER  --> 

<div class="footer">
	<div class="bottom-tranparent-bar"></div>
</div>
<s:include value="/includes/jscript.jsp"></s:include>	
<s:if test="result != null">
<script type='text/javascript' src='https://www.google.com/jsapi'></script>
<script type='text/javascript'>
	var resultado = <s:property value="result"/>; 
  google.load('visualization', '1', {'packages':['annotatedtimeline']});
  google.setOnLoadCallback(drawChart);
  function drawChart() {
    var data = new google.visualization.DataTable();
    data.addColumn('date', 'Date');
    data.addColumn('number', 'Kilometros');
    data.addColumn('string', 'Tipo entrenamiento');
    data.addColumn('number', 'Ritmo (min/km)');
    data.addRows(	resultado    );

    var chart = new google.visualization.AnnotatedTimeLine(document.getElementById('chart_div'));
    chart.draw(data, {displayAnnotations: false});
  }
</script>
</s:if>
</body>
</html>