<%@ page language="java" contentType="text/html; charset=ISO-8859-1"  pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<s:include value="/includes/head.jsp"></s:include>
<body>
<div class="wrapper" id="home"> 
	<!-- TOP  --> 
	<div class="top">

	<div class="top-bar">
		<div class="container_16">
			<ul>				
				<li><a href="perfil-usuario">Editar cuenta de <s:property value="#attr.usuario.username" /></a></li>
				<li><a href="logout">Desconectar</a></li>
			</ul>
		</div>
	</div>
	<div class="container_16">
		<div class="logo"><a href="home" title="Inicio"><span>el Mister</span></a></div>
		<div class="menu">
			<ul>
				<li><a  href="home">Home</a></li>
				<s:if test="#session.usuario.rol == 2">
				<li><a href="entrenamientos">Entrenamientos</a></li>
				</s:if>
				<li><a class="active"  href="grupos">Grupos de entrenamiento</a></li>
				<li><a href="estadisticas">Estadsticas</a></li>
			</ul>
		</div>
	</div>
</div>

<div class="top-tranparent-bar"></div>	<!-- #TOP  --> 
	<!-- MAIN SLIDE  --> 
	<div class="slide"> 
		<div class="container_16"> 
			<s:if test="usuario.grupoEntrenamiento == null">
				<s:if test="usuario.rol == 1">
				<div class="boton-add" style="margin-top: 20px; width: 200p; display: block; float: right; background-color: #08A6E8; border: solid 1px #01A6E8; padding 20px; text-align: center;">
					
					<a href="add-grupo-entrenamiento.jsp" style="color: #fff; padding: 20px;">Crear un nuevo grupo de entrenamiento</a>
					
				</div>
				</s:if>
			</s:if>
			
			<s:if test="mensaje != null">
				<div class="boton-add" style="margin-bottom: 20px; margin-top: 20px; width: 80%; margin-left: 10%;  display: block;  background-color: #CEFFCE; border: solid 1px #01A6E8; padding 20px; text-align: center;">
					<s:property value="mensaje" />
				</div>
			</s:if>
			<s:if test="usuario.rol == 2">
				<s:if test="usuario.grupoEntrenamiento == null">
					<h3>No pertenece a ningn grupo de entrenamiento. Puede unirse a alguno de los siguientes:</h3>
					<table class="listado" style="width: 100%;">
						<thead>
							<tr>
								<th>Nombre Grupo</th>
								<th>Descripcin</th>
								<th>Entrenador</th>
								<th>Nmero miembros</th>
								<th>Opciones</th>
							</tr>	
						</thead>
						<tbody>
							<s:iterator value="gruposEntrenamiento">
							<tr>
								<td><s:property value="nombre" /></td>
								<td><s:property value="descripcion" /></td>
								<td><s:property value="entrenador.getNombre()" /></td>
								<td><s:property value="size" /></td>
								<td> 
								<s:url id="url" action="unirseGrupo"> 
			      					<s:param name="id"><s:property value="id"/></s:param> 
			    				</s:url> 
			    				<s:a href="%{url}">Unirse</s:a> 
			     				</td>
							</tr>
							</s:iterator>
						</tbody>
					</table>
				</s:if>
			</s:if>
			
			<s:if test="usuario.grupoEntrenamiento != null">
			<div class="boton-add" style="margin-top: 20px; width: 200p; display: block; float: right; background-color: #08A6E8; border: solid 1px #01A6E8; padding 20px; text-align: center;">
					<s:if test="usuario.rol == 1">
					<a href="add-planificacion" style="color: #fff; padding: 20px;">Aadir planificacin nueva</a>
					</s:if>
					<s:if test="usuario.rol == 2">
					<a href="abandonarGrupo" style="color: #fff; padding: 20px;" class="abandonar">Abandonar grupo</a>
					</s:if>
			</div>
			
			<div class="grid_8 listaEntrenamientos">
			
			<s:if test="planificaciones == null">
				<h2>Sin planificaciones registradas</h2>
			</s:if>
			<s:elseif test="planificaciones.size() == 0">
				<h2>Sin planificaciones registradas</h2>
			</s:elseif>
			<s:else>
				<h2>Listado de planificaciones</h2>
				<table class="listado" style="width: 90%;">
			<thead>
				<tr>
					<th>Fecha</th>
					<th>Descripcin</th>
					<th>KM Totales</th>
					<th>Tiempo Total</th>
					<th>Opciones</th>
				</tr>	
			</thead>
			<tbody>
				<s:iterator value="planificaciones">
				<tr>
					<td><s:property value="fecha" /></td>
					<td><s:property value="descripcion" /></td>
					<td><s:property value="kilometros" /></td>
					<td><s:property value="tiempoTotal" /> </td>
					<td> 
					<s:url id="url" action="verPlanificacion"> 
      					<s:param name="id"><s:property value="id"/></s:param> 
    				</s:url> 
    				<s:a href="%{url}">Ver detalle</s:a> 
    					<s:if test="#session.usuario.rol == 1">
	    					| <s:url id="urlDelete" action="eliminarPlanificacion"> 
	      						<s:param name="id"><s:property value="id"/></s:param> 
	    					</s:url> 
		    				<s:a href="%{urlDelete}" cssClass="delete">Eliminar</s:a> 
						</s:if>
     				</td>
				</tr>
				</s:iterator>
			</tbody>
		</table>
			</s:else>
			</div>
			
			<div class="grid_8 listaAtletas">
			<s:if test="atletas == null">
				<h2>Sin atletas registrados</h2>
			</s:if>
			<s:elseif test="atletas.size() == 0">
				<h2>Sin atletas registrados</h2>
			</s:elseif>
			<s:else>
				<h2>Listado de atletas</h2>
				<table class="listado"  style="width: 90%;">
			<thead>
				<tr>
					<th>UserId</th>
					<th>Nombre</th>
				</tr>	
			</thead>
			<tbody>
				<s:iterator value="atletas">
				<tr>
					<td><s:property value="id" /></td>
					<td><s:property value="nombre" /> <s:property value="apellidos" /></td>
				</tr>
				</s:iterator>
			</tbody>
		</table>
			</s:else>
			</div>
		</s:if>
							 
		</div> 
		<div class="clear"></div> 
	</div> 
	<!-- #MAIN SLIDE  --> 
</div>

<!-- FOOTER  --> 

<div class="footer">
	<div class="bottom-tranparent-bar"></div>
</div>
<s:include value="/includes/jscript.jsp"></s:include>	
<script type="text/javascript">
	$(document).ready(function() {
		$('a.delete').bind('click', function() {
			var href = $(this).attr('href');
			jConfirm('Est seguro de querer eliminar la planificacin? La accin es irreversible.',
					'Atencin!',
					function(r) { 
						if(r) {  
							window.location.href = href;
						} 
						else return false;
					});
			return false;
			});

		$('a.abandonar').bind('click', function() {
			var href = $(this).attr('href');
			jConfirm('Est seguro de querer abandonar el grupo de entrenamiento?',
					'Atencin!',
					function(r) { 
						if(r) {  
							window.location.href = href;
						} 
						else return false;
					});
			return false;
			});
		 });
</script>

</body>
</html>