<%@ page language="java" contentType="text/html; charset=ISO-8859-1"  pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<s:include value="/includes/head.jsp"></s:include>
<body>
<div class="wrapper" id="home"> 
	<!-- TOP  --> 
	<div class="top">

	<div class="top-bar">
		<div class="container_16">
			<ul>				
				<li><a href="perfil-usuario">Editar cuenta de <s:property value="#attr.usuario.username" /></a></li>
				<li><a href="logout">Desconectar</a></li>
			</ul>
		</div>
	</div>
	<div class="container_16">
		<div class="logo"><a href="home" title="Inicio"><span>el Mister</span></a></div>
		<div class="menu">
			<ul>
				<li><a class="active" href="home">Home</a></li>
				
				<s:if test="#session.usuario.rol == 2">
				<li><a href="entrenamientos">Entrenamientos</a></li>
				</s:if>
				<li><a href="grupos">Grupos de entrenamiento</a></li>
				<li><a href="estadisticas">Estadsticas</a></li>
			</ul>
		</div>
	</div>
</div>

<div class="top-tranparent-bar"></div>	<!-- #TOP  --> 
	<!-- MAIN SLIDE  --> 
	<div class="slide"> 
		<div class="container_16"> 
			<s:if test="usuario.rol==2">
			<div class="grid_8 listaEntrenamientosHome">
			<s:if test="entrenamientos.size() == 0">
				<h2>Sin entrenamientos registrados</h2>
			</s:if>
			<s:else>
				<h2>ltimos entrenamientos</h2>
				<s:iterator value="#attr.entrenamientos" status="stat">
					<div class="homepost">
						<div class="postdate">
							<span class="day"><s:property value="dia" /></span>
							<span class="month"><s:property value="mes" /> / <s:property value="ano" /></span>
						</div>
						<h3 class="post-title"><s:property value="descripcion" /></h3>
						<p class="post-estract">
							<s:iterator value="actividades">
								<s:if test="distancia!=null">
								<li><s:property value="descripcion" />: <s:property value="repeticiones" />x<s:property value="distancia" /> m. en <s:property value="formatearTiempo" /></li>
								</s:if>
							</s:iterator>
							<s:url id="url" action="verEntrenamiento"> 
		      					<s:param name="id"><s:property value="id"/></s:param> 
		    				</s:url> 
    						<s:a href="%{url}">Ver detalle &gt;</s:a> 
						<div class="clear"></div>
					</div>
				</s:iterator>
			</s:else>
			</div>
			</s:if>
			<div class="grid_8 listaEntrenamientosHome">
			<s:if test="planificaciones == null">
				<h2>Sin grupo de entrenamiento</h2>
			</s:if>
			<s:elseif test="planificaicones.size() == 0">
				<h2>Sin planificaciones registradas</h2>
			</s:elseif>
			<s:else>
				<h2>ltimas planificaciones</h2>
					<s:iterator value="planificaciones" status="stat">
						<div class="homepost">
							<div class="postdate">
								<span class="day"><s:property value="dia" /></span>
								<span class="month"><s:property value="mes" /> / <s:property value="ano" /></span>
							</div>
							<h3 class="post-title"><s:property value="descripcion" /></h3>
							<p class="post-estract">
								<s:iterator value="actividades">
									<s:if test="distancia!=null">
									<li><s:property value="descripcion" />: <s:property value="repeticiones" />x<s:property value="distancia" /> m. en <s:property value="formatearTiempo" /></li>
									</s:if>
								</s:iterator>
								<s:url id="url" action="verPlanificacion"> 
			      					<s:param name="id"><s:property value="id"/></s:param> 
			    				</s:url> 
	    						<s:a href="%{url}">Ver detalle &gt;</s:a> 
							<div class="clear"></div>
						</div>
					</s:iterator>
			</s:else>
			</div>				 
		
		<s:if test="usuario.rol == 1">
		<div class="grid_8 listaEntrenamientosHome">
			<s:if test="atletas == null">
				<h2>Sin grupo de entrenamiento</h2>
			</s:if>
			<s:elseif test="atletas.size()) == 0">
				<h2>Sin atletas en su grupo de entrenamiento</h2>
			</s:elseif>
			<s:else>
				<h2>ltimos atletas</h2>
					<s:iterator value="atletas" status="stat">
						<div class="homepost">
							<div class="postdate">
								<span class="day"><s:property value="id" /></span>
							</div>
							<h3 class="post-title"><s:property value="nombre" /></h3>
							<p class="post-estract">
								 
	    					</p>
							<div class="clear"></div>
						</div>
					</s:iterator>
			</s:else>
			</div>
		</s:if>
		</div> 
		<div class="clear"></div> 
	</div> 
	<!-- #MAIN SLIDE  --> 
</div>

<!-- FOOTER  --> 

<div class="footer">
	<div class="bottom-tranparent-bar"></div>
</div>
<s:include value="/includes/jscript.jsp"></s:include>	
</body>
</html>