<%@ page language="java" contentType="text/html; charset=UTF-8"  pageEncoding="UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<s:include value="/includes/head.jsp"></s:include>
<body>
<div class="wrapper" id="home"> 
	<!-- TOP  --> 
	<div class="top">

	<div class="top-bar">
		<div class="container_16">
			<ul>
				<li>Usuario invitado</li>
			</ul>
		</div>
	</div>
	<div class="container_16">
		<div class="logo"><a href="index.jsp" title="Inicio"><span>el Mister</span></a></div>
		<div class="menu">
			<ul>
				<li><a class="active" href="index.jsp">Login</a></li>
				<li><a  href="registrar.jsp">Registrarse</a></li>
			</ul>
		</div>
	</div>
</div>

<div class="top-tranparent-bar"></div>	<!-- #TOP  --> 
	<!-- MAIN SLIDE  --> 
	<div class="slide"> 
		<div class="container_16"> 
			<div class="formulario-home">
				<h1>Introduzca su nombre de usuario y email para recuperar su contraseña.</h1>
				<s:form action="recuperarPassword" id="recuperarPassword" onsubmit="return false;">
					
				  <s:textfield    label="Usuario" name="usuario.username"/>
				
				  <s:textfield     label="Email" name="usuario.email" />
				  
				  <s:submit       value="Recuperar contraseña"                align="right"/>
				
				</s:form>
				<a href="index.jsp">Volver a la página de login</a>	
			</div>			
			<div class="sombra"></div> 		 
		</div> 
		<div class="clear"></div> 
	</div> 
	<!-- #MAIN SLIDE  --> 
</div>

<!-- FOOTER  --> 

<div class="footer">
	<div class="bottom-tranparent-bar"></div>
</div>
<s:include value="/includes/jscript.jsp"></s:include>
<script type="text/javascript">
function isValidEmailAddress(emailAddress) {
	var pattern = new RegExp(/^(("[\w-\s]+")|([\w-]+(?:\.[\w-]+)*)|("[\w-\s]+")([\w-]+(?:\.[\w-]+)*))(@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$)|(@\[?((25[0-5]\.|2[0-4][0-9]\.|1[0-9]{2}\.|[0-9]{1,2}\.))((25[0-5]|2[0-4][0-9]|1[0-9]{2}|[0-9]{1,2})\.){2}(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[0-9]{1,2})\]?$)/i);
	return pattern.test(emailAddress);
	}
$(document).ready(function() {
	$('form#recuperarPassword').bind('submit', function() {
			$.alerts.dialogClass = 'error';
			if (($("input#recuperarPassword_usuario_username").val()=="")) {
				jAlert('El nombre de usuario es un campo obligatorio', "ERROR");
				return false;
			} else if (!(isValidEmailAddress($("input#recuperarPassword_usuario_email").val()))) {
				jAlert('El email no es válido', "ERROR");
				return false;
			} else {
				$.ajax({
					url: 'recuperarPassword',
					type: 'POST',					
					data: ({
						'usuario.username': 			$("input#recuperarPassword_usuario_username").val(),
						'usuario.email':				$("input#recuperarPassword_usuario_email").val()						
						}),
					error: function(data) {
						if (data.estado=="error") {
							jAlert('Error en el ajax', "ERROR");	
						} else {
							jAlert(data, "ERROR");
						}	
						return false;
					},
					success: function(data) {
						if (data.estado=="error") {
							jAlert(data.mensaje, "ERROR");	
						} else if (data.estado=="success") {
							$.alerts.dialogClass = null;
							jAlert('Se ha enviado un correo con su contraseña. Ahora podrá hacer login desde la página principal', "Atención", function() {
								window.location.href = 'index.jsp';
							});	
						}
						return false;
						
						}	
					});
				return false;
				
			}
			return false;
		});
});
</script>
	
</body>
</html>