<%@ page language="java" contentType="text/html; charset=ISO-8859-1"  pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<s:include value="/includes/head.jsp"></s:include>
	<s:action name="EntrenamientosAction!loadHome" executeResult="false" />
<body>
<div class="wrapper" id="home"> 
	<!-- TOP  --> 
	<div class="top">

	<div class="top-bar">
		<div class="container_16">
			<ul>				
				<li><a href="perfil-usuario">Editar cuenta de <s:property value="#attr.usuario.username" /></a></li>
				<li><a href="logout">Desconectar</a></li>
			</ul>
		</div>
	</div>
	<div class="container_16">
		<div class="logo"><a href="home" title="Inicio"><span>el Mister</span></a></div>
		<div class="menu">
			<ul>
				<li><a href="home">Home</a></li>
				<s:if test="#session.usuario.rol == 2">
				<li><a class="active" href="entrenamientos">Entrenamientos</a></li>
				</s:if>
				<li><a href="grupos">Grupos de entrenamiento</a></li>
				<li><a href="estadisticas">Estadsticas</a></li>
			</ul>
		</div>
	</div>
</div>

<div class="top-tranparent-bar"></div>	<!-- #TOP  --> 
	<!-- MAIN SLIDE  --> 
	<div class="slide"> 
		<div class="container_16"> 
			
			<div class="detalleEntrenamiento grid_16">
			<s:if test="entrenamiento == null">
				<h2>El entrenamiento no existe</h2>
			</s:if>
			<s:else>
				<h2>Entrenamiento</h2>
						<h3><s:property value="entrenamiento.fecha" />: <s:property value="entrenamiento.descripcion" /></h3>
						
				
						<s:iterator value="entrenamiento.actividades" status="stat">
					<div class="homepost">
						<div class="postdate">
							<span class="day"><s:property value="#stat.index+1" /></span>
						</div>
						<h3 class="post-title"><s:property value="descripcion" /></h3>
						<div class="actividad-detail">
								<span><strong>Distancia:</strong> <s:property value="distancia" />m</span>
								<span><strong>Tiempo:</strong> <s:property value="tiempo" /></span>
								<span><strong>Repeticiones:</strong> <s:property value="repeticiones" /></span>			
						</div>	
						<div class="clear"></div>
					</div>
							</s:iterator>
			</s:else>
			</div>			 
		</div> 
		<div class="clear"></div> 
	</div> 
	<!-- #MAIN SLIDE  --> 
</div>

<!-- FOOTER  --> 

<div class="footer">
	<div class="bottom-tranparent-bar"></div>
</div>
<s:include value="/includes/jscript.jsp"></s:include>	
</body>
</html>