<%@ page language="java" contentType="text/html; charset=ISO-8859-1"  pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<s:include value="/includes/head.jsp"></s:include>
<body>
<div class="wrapper" id="home"> 
	<!-- TOP  --> 
	<div class="top">

	<div class="top-bar">
		<div class="container_16">
			<ul>				
				<li><a href="perfil-usuario">Editar cuenta de <s:property value="#attr.usuario.username" /></a></li>
				<li><a href="logout">Desconectar</a></li>
			</ul>
		</div>
	</div>
	<div class="container_16">
		<div class="logo"><a href="home" title="Inicio"><span>el Mister</span></a></div>
		<div class="menu">
			<ul>
				<li><a href="home">Home</a></li>
				<s:if test="#session.usuario.rol == 2">
				<li><a href="entrenamientos">Entrenamientos</a></li>
				</s:if>
				<li><a class="active" href="grupos">Grupos de entrenamiento</a></li>
				<li><a href="estadisticas">Estadsticas</a></li>
			</ul>
		</div>
	</div>
</div>

<div class="top-tranparent-bar"></div>	<!-- #TOP  --> 
	<!-- MAIN SLIDE  --> 
	<div class="slide"> 
		<div class="container_16"> 
			<div class="boton-add" style="margin-top: 20px; width: 200p; display: block; float: right; background-color: #08A6E8; border: solid 1px #01A6E8; padding 20px; text-align: center;">
					<a href="grupos" style="color: #fff; padding: 20px;">Volver</a>					
			</div>
			<div class="detalleEntrenamiento grid_16">
			<s:if test="planificacion == null">
				<h2>La planificacin no existe</h2>
			</s:if>
			<s:else>
				<h2>Planificacion</h2>
						<h3><s:property value="planificacion.fecha" />: <s:property value="planificacion.descripcion" /></h3>
						
				
						<s:iterator value="planificacion.actividades" status="stat">
					<div class="homepost">
						<div class="postdate">
							<span class="day"><s:property value="#stat.index+1" /></span>
						</div>
						<h3 class="post-title"><s:property value="descripcion" /></h3>
						<div class="actividad-detail">
								<span><strong>Distancia:</strong> <s:property value="distancia" />m</span>
								<span><strong>Tiempo:</strong> <s:property value="tiempo" /></span>
								<span><strong>Repeticiones:</strong> <s:property value="repeticiones" /></span>			
						</div>	
						<div class="clear"></div>
					</div>
							</s:iterator>
			</s:else>
			</div>	
		<s:if test="#session.usuario.rol == 2">
		<div class="boton-add" style="margin-top: 20px; width: 200p; display: block; float: right; background-color: #08A6E8; border: solid 1px #01A6E8; padding 20px; text-align: center;">
			<s:url id="url" action="entrenoFromPlanificacion"> 
	   					<s:param name="id"><s:property value="planificacion.id"/></s:param> 
			</s:url> 
			<s:a href="%{url}" style="color: #fff; padding: 20px;">Crear entrenamiento a partir de esta planificacin</s:a> 
			
		</div>
		</s:if>		 
		</div> 
		<div class="clear"></div> 
	</div> 
	<!-- #MAIN SLIDE  --> 
</div>

<!-- FOOTER  --> 

<div class="footer">
	<div class="bottom-tranparent-bar"></div>
</div>
<s:include value="/includes/jscript.jsp"></s:include>	
</body>
</html>