package es.abrozas.tfcj2ee.utils;

import java.util.Map;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionInvocation;
import com.opensymphony.xwork2.interceptor.AbstractInterceptor;

import es.abrozas.tfcj2ee.model.Usuario;

public class  AuthInterceptor  extends AbstractInterceptor {
  
    
	private static final long serialVersionUID = 2533216939315757239L;

	/**
	 * Interceptor para la validación del usuario en las partes privadas
	 */
	public String intercept(ActionInvocation invocation) throws Exception {
    	Map session = ActionContext.getContext().getSession();
    	Usuario usuario = (Usuario) session.get("usuario");
    	if (usuario==null || usuario.getUsername()==null) {
    		System.out.println("SESSION USER NULL");
    		return "login";    		
    	}
    	
    	return invocation.invoke();
    }
}
