<%@ page language="java" contentType="text/html; charset=ISO-8859-1"  pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<s:include value="/includes/head.jsp"></s:include>
	<s:action name="EntrenamientosAction!loadHome" executeResult="false" />
<body>
<div class="wrapper" id="home"> 
	<!-- TOP  --> 
	<div class="top">

	<div class="top-bar">
		<div class="container_16">
			<ul>				
				<li><a href="perfil-usuario">Editar cuenta de <s:property value="#attr.usuario.username" /></a></li>
				<li><a href="logout">Desconectar</a></li>
			</ul>
		</div>
	</div>
	<div class="container_16">
		<div class="logo"><a href="home" title="Inicio"><span>el Mister</span></a></div>
		<div class="menu">
			<ul>
				<li><a  href="home">Home</a></li>
				<li><a class="active" href="entrenamientos">Entrenamientos</a></li>
				<li><a href="grupos">Grupos de entrenamiento</a></li>
				<li><a href="estadisticas">Estadsticas</a></li>
			</ul>
		</div>
	</div>
</div>

<div class="top-tranparent-bar"></div>	<!-- #TOP  --> 
	<!-- MAIN SLIDE  --> 
	<div class="slide"> 
		<div class="container_16"> 
			<div class="boton-add" style="margin-top: 20px; width: 200p; display: block; float: right; background-color: #08A6E8; border: solid 1px #01A6E8; padding 20px; text-align: center;">
				<a href="add-entrenamiento.jsp" style="color: #fff; padding: 20px;">Aadir nuevo entrenamiento</a>
			</div>
			
			<div class="grid_16 listaEntrenamientos">
			<s:if test="mensaje != null">
				<div class="boton-add" style="margin-bottom: 20px; margin-top: 20px; width: 80%; margin-left: 10%;  display: block;  background-color: #CEFFCE; border: solid 1px #01A6E8; padding 20px; text-align: center;">
					<s:property value="mensaje" />
				</div>
			</s:if>
			<s:if test="#attr.entrenamientos.size() == 0">
				<h2>Sin entrenamientos registrados</h2>
			</s:if>
			<s:else>
				<h2>Listado de entrenamientos</h2>
				<table class="listado" style="width: 100%;">
			<thead>
				<tr>
					<th></th>
					<th>Fecha</th>
					<th>Descripcin</th>
					<th>KM Totales</th>
					<th>Tiempo Total</th>
					<th>Opciones</th>
				</tr>	
			</thead>
			<tbody>
				<s:iterator value="#attr.entrenamientos">
				<tr>
					<td><s:property value="id" /></td>
					<td><s:property value="fecha" /></td>
					<td><s:property value="descripcion" /></td>
					<td><s:property value="kilometros" /></td>
					<td><s:property value="tiempoTotal" /> </td>
					<td> 
					<s:url id="url" action="verEntrenamiento"> 
      					<s:param name="id"><s:property value="id"/></s:param> 
    				</s:url> 
    				<s:a href="%{url}">Ver detalle</s:a> | 
    				<s:url id="urlDelete" action="eliminarEntrenamiento"> 
	      						<s:param name="id"><s:property value="id"/></s:param> 
	    					</s:url> 
		    				<s:a href="%{urlDelete}" cssClass="delete">Eliminar</s:a> 
     				</td>
				</tr>
				</s:iterator>
			</tbody>
			<tfoot>
				<tr>
					<th></th>
					<th></th>
					<th></th>
					<th></th>
					<th></th>
				</tr>
			</tfoot>
		</table>
			</s:else>
			</div>
				
			<div class="sombra"></div> 		 
		</div> 
		<div class="clear"></div> 
	</div> 
	<!-- #MAIN SLIDE  --> 
</div>

<!-- FOOTER  --> 

<div class="footer">
	<div class="bottom-tranparent-bar"></div>
</div>
<s:include value="/includes/jscript.jsp"></s:include>	
<script type="text/javascript">
	$(document).ready(function() {
		$('a.delete').bind('click', function() {
			var href = $(this).attr('href');
			jConfirm('Est seguro de querer eliminar el entrenamiento? La accin es irreversible.',
					'Atencin!',
					function(r) { 
						if(r) {  
							window.location.href = href;
						} 
						else return false;
					});
			return false;
			});
		 });
</script>
</body>
</html>