<%@ page language="java" contentType="text/html; charset=utf-8"  pageEncoding="utf-8"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<s:include value="/includes/head.jsp"></s:include>
<s:include value="/includes/jscript.jsp"></s:include>
<body>
<div class="wrapper" id="home"> 
	<!-- TOP  --> 
	<div class="top">

	<div class="top-bar">
		<div class="container_16">
			<ul>				
				<li><a href="perfil-usuario">Editar cuenta de <s:property value="#attr.usuario.username" /></a></li>
				<li><a href="logout">Desconectar</a></li>
			</ul>
		</div>
	</div>
	<div class="container_16">
		<div class="logo"><a href="home" title="Inicio"><span>el Mister</span></a></div>
		<div class="menu">
			<ul>
				<li><a href="home">Home</a></li>
				
				<s:if test="#session.usuario.rol == 2">
				<li><a href="entrenamientos">Entrenamientos</a></li>
				</s:if>
				<li><a href="grupos">Grupos de entrenamiento</a></li>
				<li><a href="estadisticas">Estadísticas</a></li>
			</ul>
		</div>
	</div>
</div>

<div class="top-tranparent-bar"></div>	<!-- #TOP  --> 
	<!-- MAIN SLIDE  --> 
	<div class="slide"> 
		<div class="container_16"> 
			
			<div class="formulario-home">
			
				<form id="actualizar" action="actualizar" method="post" onsubmit="return false;">
				<h1>Para actualizar sus datos modifiquelos y seleccione salvar.</h1>
	<div class="grid_8">
		<s:textfield label="Usuario" name="usuario.username"  required="true"/> <br />
	  	<s:textfield label="Email" name="usuario.email" required="true" /> <br />
	  	<s:textfield label="Nombre" name="usuario.nombre" required="true" /> <br />
 		<s:textfield label="Apellidos" name="usuario.apellidos" required="true" /> <br />
  		<s:textfield label="Fecha de nacimiento" name="usuario.fechaNacimiento" id="fechaNacimiento" class="hasDatePicker"  required="true"/><br />
 		<s:textfield label="Ciudad" name="usuario.ciudad" />
 	</div>
 	<div class="grid_8"> 
 		<h4>Cambiar contraseña</h4>
	  	<s:password label="Contraseña Actual" name="passwordActual"  required="true"/> <br />
	  	<s:password label="Nueva Contraseña" name="passwordNueva"  required="true"/> <br />
	  	<s:password label="Repetir Nueva" name="passwordNuevaR"  required="true"/> 		
	</div>
	<div class="clearfix"></div>
	<s:submit       value="Actalizar"                align="right" />
	</form>
</div>				 
		</div> 
		<div class="clear"></div> 
	</div> 
	<!-- #MAIN SLIDE  --> 
</div>

<!-- FOOTER  --> 

<div class="footer">
	<div class="bottom-tranparent-bar"></div>
</div>

<script type="text/javascript">
function isValidEmailAddress(emailAddress) {
	var pattern = new RegExp(/^(("[\w-\s]+")|([\w-]+(?:\.[\w-]+)*)|("[\w-\s]+")([\w-]+(?:\.[\w-]+)*))(@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$)|(@\[?((25[0-5]\.|2[0-4][0-9]\.|1[0-9]{2}\.|[0-9]{1,2}\.))((25[0-5]|2[0-4][0-9]|1[0-9]{2}|[0-9]{1,2})\.){2}(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[0-9]{1,2})\]?$)/i);
	return pattern.test(emailAddress);
	}
$(document).ready(function() {
	$(function() {
		$( "#fechaNacimiento" ).datepicker(
				{
					maxDate: "-10Y", 
					dateFormat: "dd/mm/y",
					changeMonth: true,
					changeYear: true });
	});
	$('form#actualizar').bind('submit', function() {
			$.alerts.dialogClass = 'error';
			if (($("input#usuario_username").val()=="")) {
				jAlert('El nombre de usuario es un campo obligatorio', "ERROR");
				return false;
			} else if (($("input#passwordNueva").val()!="") && ($("input#passwordActual").val()=="")) {
				jAlert('Ha de introducir su contraseña actual para poder cambiarla por una nueva', "ERROR");
				return false;
			} else if (($("input#passwordNueva").val()!= $("input#passwordNuevaR").val())) {
				jAlert('Las contraseñas nuevas no coinciden', "ERROR");
				return false;
			} else if (!(isValidEmailAddress($("input#usuario_email").val()))) {
				jAlert('El email no es válido', "ERROR");
				return false;
			} else if (($("#usuario_rol").val()=="-1")) {
				jAlert('Debe seleccionar un rol', "ERROR");
				return false;
			}  else if (($("input#usuario_nombre").val()=="")) {
				jAlert('El nombre es obligatorio', "ERROR");
				return false;
			} else if (($("input#usuario_apellidos").val()=="")) {
				jAlert('Los apellidos son obligatorios', "ERROR");
				return false;
			} else if (($("input#fechaNacimiento").val()=="")) {
				jAlert('La fecha de nacimiento es obligatoria', "ERROR");
				return false;
			}  else {
				$.ajax({
					url: 'actualizarUsuario',
					type: 'GET',
					dataType: 'json',
					data: ({
						'usuario.username': 			$('#usuario_username').val(),
						'usuario.password': 			$('#passwordNueva').val(),
						'usuario.email':				$('#usuario_email').val(),
						'usuario.rol':					$('#usuario_rol').val(),
						'usuario.nombre':				$('#usuario_nombre').val(),
						'usuario.apellidos':			decodeURIComponent($('#usuario_apellidos').val()),
						'usuario.fechaNacimiento': 		$('#fechaNacimiento').val(),
						'usuario.ciudad':				$('#usuario_ciudad').val(),
						'passwordActual':				$('#passwordActual').val(),
						'passwordNuevaR':				$('#passwordNuevaR').val()
						}),
					error: function(data) {
						if (data.estado=="error") {
							jAlert('Error en el ajax', "ERROR");	
						} else {
							jAlert(data,"ERROR");
						}
						return false;
					},
					success: function(data) {
						if (data.estado=="error") {
							jAlert(data.mensaje, "ERROR");	
						} else if (data.estado=="success") {
							$.alerts.dialogClass = null;
							jAlert('Se han cambiado correctamente sus datos', "Enhorabuena", function() {
								window.location.href = 'home';
								});	
						} else {
							jAlert(data,"ERROR");
						}
						return false;
						
						}	
					});
				return false;
				
			}
			return false;
		});
});
</script>
	
</body>
</html>