<%@ page language="java" contentType="text/html; charset=ISO-8859-1"  pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<s:include value="/includes/head.jsp"></s:include>
<body>
<div class="wrapper" id="home"> 
	<!-- TOP  --> 
	<div class="top">

	<div class="top-bar">
		<div class="container_16">
			<ul>
				<li>Usuario invitado</li>
			</ul>
		</div>
	</div>
	<div class="container_16">
		<div class="logo"><a href="index.jsp" title="Inicio"><span>el Mister</span></a></div>
		<div class="menu">
			<ul>
				<li><a class="active" href="index.jsp">Login</a></li>
				<li><a  href="registrar.jsp">Registrarse</a></li>
			</ul>
		</div>
	</div>
</div>

<div class="top-tranparent-bar"></div>	<!-- #TOP  --> 
	<!-- MAIN SLIDE  --> 
	<div class="slide"> 
		<div class="container_16"> 
			
			<div class="formulario-home">
			
				<form id="registrar" action="registrar" method="post" onsubmit="return false;">
				<h1>Introduzca sus datos para proceder con el registro.</h1>
	<div class="grid_8">
		<s:textfield    label="Usuario" name="usuario.username"  required="true"/> <br />
	
	  	<s:password     label="Contrasea" name="usuario.password"  required="true" /> <br />
	  	<s:password     label="Repita Contrasea" name="password2"  required="true"/> <br />
	  	<s:textfield label="Email" name="usuario.email" required="true" /> <br />
	  	<s:select label="Tipo de usuario"
	        name="usuario.rol"
	        headerKey="-1" headerValue="-- Seleccione tipo de usuario --"
	        list="#{1:'Entrenador', 2:'Atleta'}"
	        value="selected.rol"
	        required="true"
	 	/>
 	</div>
 	<div class="grid_8"> 
 		<s:textfield label="Nombre" name="usuario.nombre" required="true" /> <br />
 		<s:textfield label="Apellidos" name="usuario.apellidos" required="true" /> <br />
  		<s:textfield label="Fecha de nacimiento" name="usuario.fechaNacimiento" required="true" id="fechaNacimiento"/>
  		<br />
 		<s:textfield label="Ciudad" name="usuario.ciudad" />
	</div>
	<div class="clearfix"></div>
	<s:submit       value="Registrarse"                align="right" />
	</form>
</div>			
			<div class="sombra"></div> 		 
		</div> 
		<div class="clear"></div> 
	</div> 
	<!-- #MAIN SLIDE  --> 
</div>

<!-- FOOTER  --> 

<div class="footer">
	<div class="bottom-tranparent-bar"></div>
</div>
<s:include value="/includes/jscript.jsp"></s:include>

<script type="text/javascript">
function isValidEmailAddress(emailAddress) {
	var pattern = new RegExp(/^(("[\w-\s]+")|([\w-]+(?:\.[\w-]+)*)|("[\w-\s]+")([\w-]+(?:\.[\w-]+)*))(@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$)|(@\[?((25[0-5]\.|2[0-4][0-9]\.|1[0-9]{2}\.|[0-9]{1,2}\.))((25[0-5]|2[0-4][0-9]|1[0-9]{2}|[0-9]{1,2})\.){2}(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[0-9]{1,2})\]?$)/i);
	return pattern.test(emailAddress);
	}
$(document).ready(function() {
	$(function() {
		$( "#fechaNacimiento" ).datepicker(
				{
					maxDate: "-10Y", 
					dateFormat: "dd/mm/y",
					changeMonth: true,
					changeYear: true });
	});
	$('form#registrar').bind('submit', function() {
			$.alerts.dialogClass = 'error';
			if (($("input#usuario_username").val()=="")) {
				jAlert('El nombre de usuario es un campo obligatorio', "ERROR");
				return false;
			} else if (($("input#usuario_password").val()=="")) {
				jAlert('La contrasea es un campo obligatorio', "ERROR");
				return false;
			} else if (($("input#password2").val()=="")) {
				jAlert('Debe repetir la contrasea', "ERROR");
				return false;
			} else if (($("input#usuario_password").val()!= $("input#password2").val())) {
				jAlert('Las contraseas no coinciden', "ERROR");
				return false;
			} else if (!(isValidEmailAddress($("input#usuario_email").val()))) {
				jAlert('El email no es vlido', "ERROR");
				return false;
			} else if (($("#usuario_rol").val()=="-1")) {
				jAlert('Debe seleccionar un rol', "ERROR");
				return false;
			}  else if (($("input#usuario_nombre").val()=="")) {
				jAlert('El nombre es obligatorio', "ERROR");
				return false;
			} else if (($("input#usuario_apellidos").val()=="")) {
				jAlert('Los apellidos son obligatorios', "ERROR");
				return false;
			} else if (($("input#fechaNacimiento").val()=="")) {
				jAlert('La fecha de nacimiento es obligatoria', "ERROR");
				return false;
			}  else {
				$.ajax({
					url: 'registrar',
					type: 'POST',
					
					data: ({
						'usuario.username': 			$('#usuario_username').val(),
						'usuario.password': 			$('#usuario_password').val(),
						'usuario.email':				$('#usuario_email').val(),
						'usuario.rol':					$('#usuario_rol').val(),
						'usuario.nombre':				$('#usuario_nombre').val(),
						'usuario.apellidos':			$('#usuario_apellidos').val(),
						'usuario.fechaNacimiento': 		$('#fechaNacimiento').val(),
						'usuario.ciudad':				$('#usuario_ciudad').val()
						}),
					error: function() {
						if (data.estado=="error") {
							jAlert('Error en el ajax', "ERROR");	
						}
						return false;
					},
					success: function(data) {
						if (data.estado=="error") {
							jAlert(data.mensaje, "ERROR");	
						} else if (data.estado=="success") {
							$.alerts.dialogClass = null;
							jAlert('Se ha registrado correctamente. Ya puede hacer login en la aplicacin', "Enhorabuena", function() {
								window.location.href = 'index.jsp';
								});	
						}
						return false;
						
						}	
					});
				return false;
				
			}
			return false;
		});
});
</script>
	
</body>
</html>